Subject: Re: bug#33193: vim tests break terminal output

From: [email-masked] (Ludovic Courtès)
Date: Sat, 03 Nov 2018 14:58:29 +0100

Hello,

Clément Lassieur <[email-masked]> skribis:

> <ng0> [...] some build (no idea which one, I'm in a long series of
>       builds) just broke the output in a way that I'm only getting
>       gibberish for the renmaining tail of buildlogs. iirc vim builds
>       (specifically: the testsuite) would do something similar to your
>       open terminal.
>       [15:22]
> *** mbuf ([email-masked]) has quit: Quit: Leaving  [15:24]
> <ng0> "but what do I mean by gibberish?"
> <ng0> well:
> <ng0> ⎻▒▒⎽e ◆b┤☃┌d' ⎽┤cceeded ▒°├e⎼ 1↓3 ⎽ec⎺┼d⎽
> <ng0>
>       ├e⎽├/e┼±☃┼e/├e⎽├_⎻⎺⎺┌↓⎻≤::P⎺⎺┌E┴e┼├⎽Te⎽├::├e⎽├_c⎺┼┼ec├_⎺┼_⎽┤b⎽e─┤e┼├┌≤_⎼ec⎼e▒├ed
>       PASSED [ 2▮%]

ng0, could you send the version of ‘guix-daemon’ and that of ‘guix’ as
well as the exact output you’re seeing?

TIA,
Ludo’.